<?php

namespace GLS;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'cSession' => '\\GLS\\CSession',
            'cConsign' => '\\GLS\\CConsign',
            'cSenderAddress' => '\\GLS\\CSenderAddress',
            'cServicesBool' => '\\GLS\\CServicesBool',
            'cServiceDAW' => '\\GLS\\CServiceDAW',
            'cServiceIDENT' => '\\GLS\\CServiceIDENT',
            'cServicePPE' => '\\GLS\\CServicePPE',
            'cServiceSDS' => '\\GLS\\CServiceSDS',
            'cParcelsArray' => '\\GLS\\CParcelsArray',
            'cParcel' => '\\GLS\\CParcel',
            'cID' => '\\GLS\\CID',
            'cConsignExt' => '\\GLS\\CConsignExt',
            'cCustomsDeclaration' => '\\GLS\\CCustomsDeclaration',
            'cCustomsAttachedFilesArray' => '\\GLS\\CCustomsAttachedFilesArray',
            'cCustomsAttachedFile' => '\\GLS\\CCustomsAttachedFile',
            'cCustomsArticlesArray' => '\\GLS\\CCustomsArticlesArray',
            'cCustomsArticle' => '\\GLS\\CCustomsArticle',
            'cConsignsIDsArray' => '\\GLS\\CConsignsIDsArray',
            'cLabels' => '\\GLS\\CLabels',
            'cLabelsArray' => '\\GLS\\CLabelsArray',
            'cLabel' => '\\GLS\\CLabel',
            'cLabelsIdent' => '\\GLS\\CLabelsIdent',
            'cPickupsIDsArray' => '\\GLS\\CPickupsIDsArray',
            'cPickup' => '\\GLS\\CPickup',
            'cConsignBindIDsArray' => '\\GLS\\CConsignBindIDsArray',
            'cConsignBindIDs' => '\\GLS\\CConsignBindIDs',
            'cReceipt' => '\\GLS\\CReceipt',
            'cIdent' => '\\GLS\\CIdent',
            'cStringArray' => '\\GLS\\CStringArray',
            'cPartnerParcelNumber' => '\\GLS\\CPartnerParcelNumber',
            'cTrackID' => '\\GLS\\CTrackID',
            'cProfilesArray' => '\\GLS\\CProfilesArray',
            'cProfile' => '\\GLS\\CProfile',
            'cLang' => '\\GLS\\CLang',
            'cStatus' => '\\GLS\\CStatus',
            'cSenderAddressArray' => '\\GLS\\CSenderAddressArray',
            'cServices' => '\\GLS\\CServices',
            'cCODMax' => '\\GLS\\CCODMax',
            'cParcelWeightsMax' => '\\GLS\\CParcelWeightsMax',
            'cCountryCDXMaxArray' => '\\GLS\\CCountryCDXMaxArray',
            'cCountryCDXMax' => '\\GLS\\CCountryCDXMax',
            'cCity' => '\\GLS\\CCity',
            'cBooleanValue' => '\\GLS\\CBooleanValue',
            'cValue' => '\\GLS\\CValue',
            'cParcelShopArray' => '\\GLS\\CParcelShopArray',
            'cParcelShop' => '\\GLS\\CParcelShop',
            'cParcelShop2Array' => '\\GLS\\CParcelShop2Array',
            'cParcelShop2' => '\\GLS\\CParcelShop2',
            'cParcelShop2OpeningHoursArray' => '\\GLS\\CParcelShop2OpeningHoursArray',
            'cParcelShop2OpeningHours' => '\\GLS\\CParcelShop2OpeningHours',
            'cParcelShop2HolidaysArray' => '\\GLS\\CParcelShop2HolidaysArray',
            'cParcelShop2Holidays' => '\\GLS\\CParcelShop2Holidays',
            'cParcelShop2PaymentsArray' => '\\GLS\\CParcelShop2PaymentsArray',
            'cParcelShop2Payment' => '\\GLS\\CParcelShop2Payment',
            'cParcelShop2GroupsArray' => '\\GLS\\CParcelShop2GroupsArray',
            'cParcelShop2Group' => '\\GLS\\CParcelShop2Group',
            'cParcelShop2ServicesArray' => '\\GLS\\CParcelShop2ServicesArray',
            'cParcelShop2Service' => '\\GLS\\CParcelShop2Service',
            'cParcelShop2ValidsArray' => '\\GLS\\CParcelShop2ValidsArray',
            'cParcelShop2Valid' => '\\GLS\\CParcelShop2Valid',
            'cParcelShop2DescArray' => '\\GLS\\CParcelShop2DescArray',
            'cParcelShop2Desc' => '\\GLS\\CParcelShop2Desc',
            'cParcelShop2InfoArray' => '\\GLS\\CParcelShop2InfoArray',
            'cParcelShop2Info' => '\\GLS\\CParcelShop2Info',
            'cParcelShop3Array' => '\\GLS\\CParcelShop3Array',
            'cParcelShop3' => '\\GLS\\CParcelShop3',
            'cCustomsDecPdf' => '\\GLS\\CCustomsDecPdf',
            'cPODsArray' => '\\GLS\\CPODsArray',
            'cPOD' => '\\GLS\\CPOD',
            'cPodPdf' => '\\GLS\\CPodPdf',
            'cBulkCustomsClearance' => '\\GLS\\CBulkCustomsClearance',
            'cWeightExt' => '\\GLS\\CWeightExt',
            'cBulkCustomsClearanceExporter' => '\\GLS\\CBulkCustomsClearanceExporter',
            'cBulkCustomsClearanceAddress' => '\\GLS\\CBulkCustomsClearanceAddress',
            'cBulkCustomsClearanceContactPerson' => '\\GLS\\CBulkCustomsClearanceContactPerson',
            'cBulkCustomsClearanceImporter' => '\\GLS\\CBulkCustomsClearanceImporter',
            'cBulkCustomsClearanceConsignee' => '\\GLS\\CBulkCustomsClearanceConsignee',
            'cBulkCustomsClearanceInvoice' => '\\GLS\\CBulkCustomsClearanceInvoice',
            'cAmountOfMoney' => '\\GLS\\CAmountOfMoney',
            'cBulkCustomsClearanceLineItemsArray' => '\\GLS\\CBulkCustomsClearanceLineItemsArray',
            'cBulkCustomsClearanceLineItem' => '\\GLS\\CBulkCustomsClearanceLineItem',
            'cQuantityExt' => '\\GLS\\CQuantityExt',
            'cBulkCustomsClearanceLineItemPreferentialTrade' => '\\GLS\\CBulkCustomsClearanceLineItemPreferentialTrade',
            'cBulkCustomsClearanceLineItemNationalCustomsFields' => '\\GLS\\CBulkCustomsClearanceLineItemNationalCustomsFields',
            'cBulkCustomsClearanceLineItemNationalCustomsFieldsDE' => '\\GLS\\CBulkCustomsClearanceLineItemNationalCustomsFieldsDE',
            'cBulkCustomsClearanceLineItemNationalCustomsFieldsBE' => '\\GLS\\CBulkCustomsClearanceLineItemNationalCustomsFieldsBE',
            'cBulkCustomsClearanceAttachedFilesArray' => '\\GLS\\CBulkCustomsClearanceAttachedFilesArray',
            'cBulkCustomsClearanceAttachedFile' => '\\GLS\\CBulkCustomsClearanceAttachedFile',
            'adeLogin' => '\\GLS\\AdeLogin',
            'adeLoginResponse' => '\\GLS\\AdeLoginResponse',
            'adeLoginIntegrator' => '\\GLS\\AdeLoginIntegrator',
            'adeLoginIntegratorResponse' => '\\GLS\\AdeLoginIntegratorResponse',
            'adeLoginByLocalizationCode' => '\\GLS\\AdeLoginByLocalizationCode',
            'adeLoginByLocalizationCodeResponse' => '\\GLS\\AdeLoginByLocalizationCodeResponse',
            'adeLogout' => '\\GLS\\AdeLogout',
            'adeLogoutResponse' => '\\GLS\\AdeLogoutResponse',
            'adePreparingBox_Insert' => '\\GLS\\AdePreparingBox_Insert',
            'adePreparingBox_InsertResponse' => '\\GLS\\AdePreparingBox_InsertResponse',
            'adePreparingBox_InsertExt' => '\\GLS\\AdePreparingBox_InsertExt',
            'adePreparingBox_InsertExtResponse' => '\\GLS\\AdePreparingBox_InsertExtResponse',
            'adePreparingBox_GetConsignIDs' => '\\GLS\\AdePreparingBox_GetConsignIDs',
            'adePreparingBox_GetConsignIDsResponse' => '\\GLS\\AdePreparingBox_GetConsignIDsResponse',
            'adePreparingBox_DeleteConsign' => '\\GLS\\AdePreparingBox_DeleteConsign',
            'adePreparingBox_DeleteConsignResponse' => '\\GLS\\AdePreparingBox_DeleteConsignResponse',
            'adePreparingBox_GetConsign' => '\\GLS\\AdePreparingBox_GetConsign',
            'adePreparingBox_GetConsignResponse' => '\\GLS\\AdePreparingBox_GetConsignResponse',
            'adePreparingBox_GetConsignLabels' => '\\GLS\\AdePreparingBox_GetConsignLabels',
            'adePreparingBox_GetConsignLabelsResponse' => '\\GLS\\AdePreparingBox_GetConsignLabelsResponse',
            'adePreparingBox_GetConsignLabelsExt' => '\\GLS\\AdePreparingBox_GetConsignLabelsExt',
            'adePreparingBox_GetConsignLabelsExtResponse' => '\\GLS\\AdePreparingBox_GetConsignLabelsExtResponse',
            'adePreparingBox_GetConsignDocs' => '\\GLS\\AdePreparingBox_GetConsignDocs',
            'adePreparingBox_GetConsignDocsResponse' => '\\GLS\\AdePreparingBox_GetConsignDocsResponse',
            'adePreparingBox_GetConsignsLabels' => '\\GLS\\AdePreparingBox_GetConsignsLabels',
            'adePreparingBox_GetConsignsLabelsResponse' => '\\GLS\\AdePreparingBox_GetConsignsLabelsResponse',
            'adePreparingBox_GetParcelLabel' => '\\GLS\\AdePreparingBox_GetParcelLabel',
            'adePreparingBox_GetParcelLabelResponse' => '\\GLS\\AdePreparingBox_GetParcelLabelResponse',
            'adePickup_Create' => '\\GLS\\AdePickup_Create',
            'adePickup_CreateResponse' => '\\GLS\\AdePickup_CreateResponse',
            'adePickup_GetIDs' => '\\GLS\\AdePickup_GetIDs',
            'adePickup_GetIDsResponse' => '\\GLS\\AdePickup_GetIDsResponse',
            'adePickup_Get' => '\\GLS\\AdePickup_Get',
            'adePickup_GetResponse' => '\\GLS\\AdePickup_GetResponse',
            'adePickup_GetConsignBinds' => '\\GLS\\AdePickup_GetConsignBinds',
            'adePickup_GetConsignBindsResponse' => '\\GLS\\AdePickup_GetConsignBindsResponse',
            'adePickup_GetConsignIDs' => '\\GLS\\AdePickup_GetConsignIDs',
            'adePickup_GetConsignIDsResponse' => '\\GLS\\AdePickup_GetConsignIDsResponse',
            'adePickup_GetConsign' => '\\GLS\\AdePickup_GetConsign',
            'adePickup_GetConsignResponse' => '\\GLS\\AdePickup_GetConsignResponse',
            'adePickup_GetReceipt' => '\\GLS\\AdePickup_GetReceipt',
            'adePickup_GetReceiptResponse' => '\\GLS\\AdePickup_GetReceiptResponse',
            'adePickup_GetLabels' => '\\GLS\\AdePickup_GetLabels',
            'adePickup_GetLabelsResponse' => '\\GLS\\AdePickup_GetLabelsResponse',
            'adePickup_GetIdent' => '\\GLS\\AdePickup_GetIdent',
            'adePickup_GetIdentResponse' => '\\GLS\\AdePickup_GetIdentResponse',
            'adePickup_GetConsignLabels' => '\\GLS\\AdePickup_GetConsignLabels',
            'adePickup_GetConsignLabelsResponse' => '\\GLS\\AdePickup_GetConsignLabelsResponse',
            'adePickup_GetConsignLabelsExt' => '\\GLS\\AdePickup_GetConsignLabelsExt',
            'adePickup_GetConsignLabelsExtResponse' => '\\GLS\\AdePickup_GetConsignLabelsExtResponse',
            'adePickup_GetParcelLabel' => '\\GLS\\AdePickup_GetParcelLabel',
            'adePickup_GetParcelLabelResponse' => '\\GLS\\AdePickup_GetParcelLabelResponse',
            'adePickup_GetParcelsLabels' => '\\GLS\\AdePickup_GetParcelsLabels',
            'adePickup_GetParcelsLabelsResponse' => '\\GLS\\AdePickup_GetParcelsLabelsResponse',
            'adePickup_ParcelNumberSearch' => '\\GLS\\AdePickup_ParcelNumberSearch',
            'adePickup_ParcelNumberSearchResponse' => '\\GLS\\AdePickup_ParcelNumberSearchResponse',
            'adePartner_GetParcelNumber' => '\\GLS\\AdePartner_GetParcelNumber',
            'adePartner_GetParcelNumberResponse' => '\\GLS\\AdePartner_GetParcelNumberResponse',
            'adeTrackID_Get' => '\\GLS\\AdeTrackID_Get',
            'adeTrackID_GetResponse' => '\\GLS\\AdeTrackID_GetResponse',
            'adeProfile_GetIDs' => '\\GLS\\AdeProfile_GetIDs',
            'adeProfile_GetIDsResponse' => '\\GLS\\AdeProfile_GetIDsResponse',
            'adeProfile_GetActive' => '\\GLS\\AdeProfile_GetActive',
            'adeProfile_GetActiveResponse' => '\\GLS\\AdeProfile_GetActiveResponse',
            'adeProfile_Change' => '\\GLS\\AdeProfile_Change',
            'adeProfile_ChangeResponse' => '\\GLS\\AdeProfile_ChangeResponse',
            'adeLang_GetActive' => '\\GLS\\AdeLang_GetActive',
            'adeLang_GetActiveResponse' => '\\GLS\\AdeLang_GetActiveResponse',
            'adeLang_Change' => '\\GLS\\AdeLang_Change',
            'adeLang_ChangeResponse' => '\\GLS\\AdeLang_ChangeResponse',
            'adePfc_GetStatus' => '\\GLS\\AdePfc_GetStatus',
            'adePfc_GetStatusResponse' => '\\GLS\\AdePfc_GetStatusResponse',
            'adePfc_GetDictionary' => '\\GLS\\AdePfc_GetDictionary',
            'adePfc_GetDictionaryResponse' => '\\GLS\\AdePfc_GetDictionaryResponse',
            'adeSendAddr_GetStatus' => '\\GLS\\AdeSendAddr_GetStatus',
            'adeSendAddr_GetStatusResponse' => '\\GLS\\AdeSendAddr_GetStatusResponse',
            'adeSendAddr_GetDictionary' => '\\GLS\\AdeSendAddr_GetDictionary',
            'adeSendAddr_GetDictionaryResponse' => '\\GLS\\AdeSendAddr_GetDictionaryResponse',
            'adeServices_GetAllowed' => '\\GLS\\AdeServices_GetAllowed',
            'adeServices_GetAllowedResponse' => '\\GLS\\AdeServices_GetAllowedResponse',
            'adeServices_GetMaxCOD' => '\\GLS\\AdeServices_GetMaxCOD',
            'adeServices_GetMaxCODResponse' => '\\GLS\\AdeServices_GetMaxCODResponse',
            'adeServices_GetMaxParcelWeights' => '\\GLS\\AdeServices_GetMaxParcelWeights',
            'adeServices_GetMaxParcelWeightsResponse' => '\\GLS\\AdeServices_GetMaxParcelWeightsResponse',
            'adeServices_GetGuaranteed' => '\\GLS\\AdeServices_GetGuaranteed',
            'adeServices_GetGuaranteedResponse' => '\\GLS\\AdeServices_GetGuaranteedResponse',
            'adeServices_GetCountriesSDS' => '\\GLS\\AdeServices_GetCountriesSDS',
            'adeServices_GetCountriesSDSResponse' => '\\GLS\\AdeServices_GetCountriesSDSResponse',
            'adeServices_GetCountriesSRS' => '\\GLS\\AdeServices_GetCountriesSRS',
            'adeServices_GetCountriesSRSResponse' => '\\GLS\\AdeServices_GetCountriesSRSResponse',
            'adeServices_GetCountriesCDX' => '\\GLS\\AdeServices_GetCountriesCDX',
            'adeServices_GetCountriesCDXResponse' => '\\GLS\\AdeServices_GetCountriesCDXResponse',
            'adeZip_GetCity' => '\\GLS\\AdeZip_GetCity',
            'adeZip_GetCityResponse' => '\\GLS\\AdeZip_GetCityResponse',
            'adeZip_CustomsRequired' => '\\GLS\\AdeZip_CustomsRequired',
            'adeZip_CustomsRequiredResponse' => '\\GLS\\AdeZip_CustomsRequiredResponse',
            'adeOption_Get' => '\\GLS\\AdeOption_Get',
            'adeOption_GetResponse' => '\\GLS\\AdeOption_GetResponse',
            'adeOption_Set' => '\\GLS\\AdeOption_Set',
            'adeOption_SetResponse' => '\\GLS\\AdeOption_SetResponse',
            'adeParcelShop_SearchByZip' => '\\GLS\\AdeParcelShop_SearchByZip',
            'adeParcelShop_SearchByZipResponse' => '\\GLS\\AdeParcelShop_SearchByZipResponse',
            'adeParcelShop_SearchByID' => '\\GLS\\AdeParcelShop_SearchByID',
            'adeParcelShop_SearchByIDResponse' => '\\GLS\\AdeParcelShop_SearchByIDResponse',
            'adeParcelShop_GetByCountry' => '\\GLS\\AdeParcelShop_GetByCountry',
            'adeParcelShop_GetByCountryResponse' => '\\GLS\\AdeParcelShop_GetByCountryResponse',
            'adeParcelShop2_GetByCountry' => '\\GLS\\AdeParcelShop2_GetByCountry',
            'adeParcelShop2_GetByCountryResponse' => '\\GLS\\AdeParcelShop2_GetByCountryResponse',
            'adeParcelShop2_SearchByZip' => '\\GLS\\AdeParcelShop2_SearchByZip',
            'adeParcelShop2_SearchByZipResponse' => '\\GLS\\AdeParcelShop2_SearchByZipResponse',
            'adeParcelShop3_GetByCountry' => '\\GLS\\AdeParcelShop3_GetByCountry',
            'adeParcelShop3_GetByCountryResponse' => '\\GLS\\AdeParcelShop3_GetByCountryResponse',
            'adeParcelShop3_SearchByZip' => '\\GLS\\AdeParcelShop3_SearchByZip',
            'adeParcelShop3_SearchByZipResponse' => '\\GLS\\AdeParcelShop3_SearchByZipResponse',
            'adePreparingBox_GetConsignCustomsDec' => '\\GLS\\AdePreparingBox_GetConsignCustomsDec',
            'adePreparingBox_GetConsignCustomsDecResponse' => '\\GLS\\AdePreparingBox_GetConsignCustomsDecResponse',
            'adePickup_GetConsignCustomsDec' => '\\GLS\\AdePickup_GetConsignCustomsDec',
            'adePickup_GetConsignCustomsDecResponse' => '\\GLS\\AdePickup_GetConsignCustomsDecResponse',
            'adePickup_GetConsignPODs' => '\\GLS\\AdePickup_GetConsignPODs',
            'adePickup_GetConsignPODsResponse' => '\\GLS\\AdePickup_GetConsignPODsResponse',
            'adePOD_Get' => '\\GLS\\AdePOD_Get',
            'adePOD_GetResponse' => '\\GLS\\AdePOD_GetResponse',
            'adeCourier_Order' => '\\GLS\\AdeCourier_Order',
            'adeCourier_OrderResponse' => '\\GLS\\AdeCourier_OrderResponse',
            'adeBulkCustomsClearance_Create' => '\\GLS\\AdeBulkCustomsClearance_Create',
            'adeBulkCustomsClearance_CreateResponse' => '\\GLS\\AdeBulkCustomsClearance_CreateResponse',
            'adeBulkCustomsClearance_UploadDocument' => '\\GLS\\AdeBulkCustomsClearance_UploadDocument',
            'adeBulkCustomsClearance_UploadDocumentResponse' => '\\GLS\\AdeBulkCustomsClearance_UploadDocumentResponse',
        );
    }
}
